Skip to main content
GET
/
v2
/
persons
/
{personId}
/
relationships
Get Relationships for a Person
curl --request GET \
  --url https://api.affinity.co/v2/persons/{personId}/relationships \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "person1": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Smith",
        "primaryEmailAddress": "jane.smith@northpointvc.com"
      },
      "person2": {
        "id": 100,
        "firstName": "John",
        "lastName": "Doe",
        "primaryEmailAddress": "john.doe@acme.co"
      },
      "interactionScore": 0.85
    },
    {
      "person1": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Smith",
        "primaryEmailAddress": "jane.smith@northpointvc.com"
      },
      "person2": {
        "id": 101,
        "firstName": "Alex",
        "lastName": "Kim",
        "primaryEmailAddress": "alex.kim@acme.co"
      },
      "interactionScore": 0.72
    },
    {
      "person1": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Smith",
        "primaryEmailAddress": "jane.smith@northpointvc.com"
      },
      "person2": {
        "id": 102,
        "firstName": "Robin",
        "lastName": "Hill",
        "primaryEmailAddress": null
      },
      "interactionScore": 0.45
    }
  ],
  "pagination": {
    "prevUrl": null,
    "nextUrl": "https://api.affinity.co/v2/persons/1/relationships?cursor=ICAgICAgIGFmdGVyOjo6Mw"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
integer<int64>
required

Person ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

filter
string

Filter options

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 1 <= x <= 100
totalCount
boolean
default:false

Include total count of the collection in the pagination response

Response

OK

A paginated list of relationships

data
Relationship · object[]
required

A page of Relationship objects

Maximum array length: 100
pagination
PaginationWithTotalCount · object
required